org.bouncycastle.mail.smime

## Class SMIMEEnveloped

- java.lang.Object
- - org.bouncycastle.cms.CMSEnvelopedData
  - - org.bouncycastle.mail.smime.SMIMEEnveloped

    public class SMIMEEnveloped
    extends CMSEnvelopedData

containing class for an S/MIME pkcs7-mime encrypted MimePart.

### Constructor Summary

Constructors
Constructor and Description
`SMIMEEnveloped(MimeBodyPart message)`
`SMIMEEnveloped(MimeMessage message)`

### Method Summary

Methods
`MimePart` `getEncryptedContent()`

### Methods inherited from class org.bouncycastle.cms.CMSEnvelopedData

`getContentInfo, getEncoded, getEncryptionAlgOID, getEncryptionAlgorithmParameters, getEncryptionAlgorithmParameters, getEncryptionAlgParams, getRecipientInfos, getUnprotectedAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SMIMEEnveloped

    public SMIMEEnveloped(MimeBodyPart message)
                   throws MessagingException,
                          CMSException

Throws:
  `MessagingException`
  `CMSException`

#### SMIMEEnveloped

    public SMIMEEnveloped(MimeMessage message)
                   throws MessagingException,
                          CMSException

Throws:
  `MessagingException`
  `CMSException`

### Method Detail

#### getEncryptedContent

    public MimePart getEncryptedContent()